## org.codehaus.groovy.grails.commons
Interface ApplicationAttributes

All Known Subinterfaces:
  GrailsApplicationAttributes

All Known Implementing Classes:
  DefaultGrailsApplicationAttributes

    public interface ApplicationAttributes

Class description here.

Since:
  0.4

  Created: Jan 19, 2007 Time: 6:03:55 PM
Author:
  Graeme Rocher

Field Summary
`static String` `APPLICATION_CONTEXT`
`static String` `PARENT_APPLICATION_CONTEXT`
`static String` `PLUGIN_MANAGER`
`static String` `REQUEST_SCOPE_ID`

Method Summary
`ApplicationContext` `getApplicationContext()`
`GrailsApplication` `getGrailsApplication()`

Field Detail

### APPLICATION_CONTEXT

    static final String APPLICATION_CONTEXT

See Also:
  Constant Field Values

### PARENT_APPLICATION_CONTEXT

    static final String PARENT_APPLICATION_CONTEXT

See Also:
  Constant Field Values

### REQUEST_SCOPE_ID

    static final String REQUEST_SCOPE_ID

See Also:
  Constant Field Values

### PLUGIN_MANAGER

    static final String PLUGIN_MANAGER

See Also:
  Constant Field Values

Method Detail

### getApplicationContext

    ApplicationContext getApplicationContext()

  Returns:
    The application context for servlet

### getGrailsApplication

    GrailsApplication getGrailsApplication()

  Returns:
    Retrieves the grails application instance

Copyright (c) 2005-2009 The Grails project